GET /katello/api/docker_manifests/compare
200
{
"total": 4,
"subtotal": 4,
"selectable": 4,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"id": 980190962,
"schema_version": 1,
"digest": "one",
"manifest_type": "image",
"content_type": null,
"annotations": {},
"labels": {},
"is_bootable": false,
"is_flatpak": false,
"tags": [
{
"id": null,
"repository_id": "Pulp3 Docker 1",
"name": "one"
}
],
"manifest_lists": [],
"comparison": [
840492357
]
},
{
"id": 113629430,
"schema_version": 1,
"digest": "three",
"manifest_type": "image",
"content_type": null,
"annotations": {},
"labels": {},
"is_bootable": false,
"is_flatpak": false,
"tags": [
{
"id": null,
"repository_id": "Pulp3 Docker 1",
"name": "three"
}
],
"manifest_lists": [],
"comparison": [
840492357
]
},
{
"id": 298486374,
"schema_version": 2,
"digest": "two",
"manifest_type": "image",
"content_type": null,
"annotations": {},
"labels": {},
"is_bootable": false,
"is_flatpak": false,
"tags": [
{
"id": null,
"repository_id": "Pulp3 Docker 1",
"name": "two"
}
],
"manifest_lists": [],
"comparison": [
840492357
]
},
{
"id": 980191109,
"schema_version": null,
"digest": "abc123",
"manifest_type": "image",
"content_type": null,
"annotations": {},
"labels": {},
"is_bootable": false,
"is_flatpak": false,
"tags": [],
"manifest_lists": [],
"comparison": [
840492357
]
}
]
}
| Param name | Description |
|---|---|
|
content_view_version_ids
optional |
content view versions to compare Validations:
|
|
repository_id
optional |
Library repository id to restrict comparisons to Validations:
|
|
restrict_comparison
optional |
Return same, different or all results Validations:
|